Bug 54378 - NFS mount on IBM AIX
NFS mount on IBM AIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-10-05 04:39 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-15 09:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-05 04:39:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When exporting a filesystem on Linux as
/home/test name_of_aix(rw)

a mount on the AIX machine (AIX 4.3.2) results in a "Operation not 
permitted" error message. The same mount on a SUN Solaris works.
Whats wrong with the Linux-AIX connection?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1./etc/exports on Linux: /home/test name_of_aix(rw)

2.On IBM AIX 4.3.2:  mount name_of_linux:/home/test /tmp/test
mount 1831-008 wird aufgegeben bei:
vmount: Die Operation ist nicht zulaessig.

3.Inside the /var/log/messages of Linux:
 localhost kernel: nfsd: request from insecure port (0ad22875:62298)!


Actual Results:  No filesystem is mounted. I receive only an error message.

Expected Results:  The filesystem should be mounted.

Additional info:

I think, with a special parameter inside the /etc/exports or within the 
mount request, the error can be solved. Is it possible, that I make a 
Comment 1 Joe Orton 2001-10-15 09:45:35 EDT
Try this command from the AIX box as root:

   # nfso -o nfs_use_reserved_ports=1
Comment 2 Michael K. Johnson 2001-10-15 11:27:56 EDT
Agreed, this is a client configuration issue.  Thanks for providing
the necessary configuration change.

Note You need to log in before you can comment on or make changes to this bug.